% Update a station's status eICIC/FeICIC optimization leads to changes.
% The status of a station subject to changes are:
% 1. RBpower
% 2. ABS
% 3. CSB
% Also update the ABS patterns in UE where the station and the mirrors of 
% the station are interferers

function [Station,UE] = update_status(Station,StationIx,UE)

ix = StationIx;
for i = 1:length(ix)
    for j = 1:length(find(Station(ix(i)).Interfering))
        UEix = Station(ix(i)).Interfering(j);
        intfrix = find(UE(UEix).Interfere==Station(ix(i)).NameTag);
        UE(UEix).ABS_Interfere(intfrix,:) = Station(ix(i)).ABS;
    end
    for k = 1:length(Station(ix(i)).CandUE)
        ixx = find([UE(Station(ix(i)).CandUE(k)).HostCand]==Station(ix(i)).NameTag);
        UE(Station(ix(i)).CandUE(k)).CSB_HostCand(ixx) = Station(ix(i)).CSB;
    end
end