% Calculate the energy consumed for serving the users in UE

% T: Length of one subframe (time slot)

function [Energy] = FindEnergy(Station,UE,T)

Energy = 0;

for ue = 1:length(UE)
    ServeIx = find([Station.NameTag]==UE(ue).attach);
    Energy = Energy + sum( Station(ServeIx).PRBpower .* Station(ServeIx).ABS .* [Station(ServeIx).UEinPRB==UE(ue).ID] ) * T;
end