% User association, determined by the pilot signal strength and cell
% selection bias

function UE = Pilot_CSB_Asso(UE,NumUE,NoiseDen,NoiseFigure,BWperRB,NumTimeSlots,NumFreqSlots)

for ue = 1:NumUE
    BiasedPilotRSS = UE(ue).PilotRSS.*(10.^(UE(ue).CSB_HostCand/10));
    [no_use,attach_ix] = max(BiasedPilotRSS);
    UE(ue).attach = UE(ue).HostCand(attach_ix);
end